Connessione SQL Server (finestra di dialogo)

Quando si cerca di stabilire una connessione OLE DB senza fornire al driver informazioni sufficienti per la connessione a un'istanza di SQL Server, il provider OLE DB di Microsoft SQL Server visualizza la finestra di dialogo Connessione SQL Server.

Alla prima visualizzazione, la finestra di dialogo Connessione SQL Server contiene solo gli elementi seguenti:

  • Casella Server

  • Casella di controllo Usa connessione trusted

  • Casella ID accesso

  • Casella Password

  • I pulsanti OK, Annulla, ? e Opzioni

Facendo clic sul pulsante Opzioni, la finestra di dialogo si espande per contenere anche il gruppo Opzioni:

  • Casella Database

  • Casella Lingua

  • Casella Nome applicazione

  • Casella ID workstation

Controllo Descrizione

Casella Server

Nome di un server SQL in rete. Se il nome del server viene selezionato dall'elenco, non sono necessarie ulteriori configurazioni. Se il nome del server viene digitato, deve essere una voce avanzata nell'utilità Configurazione client SQL Server o il nome di rete di un server che esegue SQL Server.

Nella casella Server è possibile specificare "(locale)" quando si utilizza lo stesso computer in cui è installato SQL Server. In questo modo sarà possibile connettersi a una copia locale di SQL Server, anche in caso di esecuzione di una versione non in rete di SQL Server. Per specificare un'istanza denominata di SQL Server, il nome del server deve essere specificato come ServerName\InstanceName.

Per ulteriori informazioni sui nomi dei server per tipi diversi di reti, vedere la documentazione di installazione di SQL Server online.

Casella di controllo Usa connessione trusted

Se selezionata, specifica che il provider OLE DB di SQL Server richiederà una connessione protetta (o trusted) a SQL Server. Se si seleziona questa opzione, in SQL Server verrà utilizzata la sicurezza di account di accesso integrata per stabilire connessioni con questa origine dati, indipendentemente dalla modalità di sicurezza degli accessi corrente nel server. Qualsiasi password o ID di accesso specificato viene ignorato. L'amministratore di sistema di SQL Server deve associare l'account di accesso di Microsoft Windows a un ID di accesso di SQL Server.

Quando questa opzione è deselezionata, in SQL Server viene utilizzata la sicurezza degli accessi standard per stabilire connessioni mediante questa origine dati. È necessario specificare un ID di accesso e una password per tutte le richieste di connessione.

Casella ID accesso

Specifica l'ID di accesso di SQL Server da utilizzare per la connessione se l'opzione Usa connessione trusted è deselezionata. Se Usa connessione trusted è selezionata, la casella ID accesso è disattivata.

Casella Password

Specifica la password per l'ID di accesso di SQL Server utilizzato per la connessione se l'opzione Usa connessione trusted è deselezionata. Se Usa connessione trusted è selezionata, la casella Password è disattivata.

Casella Database

Specifica il database predefinito da utilizzare per la connessione. Questa impostazione è prioritaria rispetto al database predefinito specificato per l'accesso nel server. Se non viene specificato alcun database, viene utilizzato il database predefinito specificato per l'accesso nel server.

Casella Lingua

Specifica la lingua da utilizzare per i messaggi di sistema di SQL Server. Tale lingua deve essere installata nell'istanza di SQL Server. Questa impostazione è prioritaria rispetto alla lingua predefinita specificata per l'accesso nel server. Se non viene specificata alcuna lingua, viene utilizzata la lingua predefinita indicata per l'account di accesso nel server.

Casella Nome applicazione

Facoltativa. Specifica il nome dell'applicazione da archiviare nella colonna program_name nella riga relativa alla connessione corrente in master.dbo.sysprocesses.

Casella ID workstation

Facoltativa. Specifica l'ID della workstation da archiviare nella colonna hostname nella riga relativa alla connessione corrente in master.dbo.sysprocesses.


Copyright e informazioni legali

Le informazioni contenute nel presente documento, inclusi URL e altri riferimenti a siti Web, sono soggette a modifiche senza preavviso. Se non specificato diversamente, ogni riferimento a società, organizzazioni, prodotti, nomi di dominio, indirizzi di posta elettronica, logo, persone, luoghi ed eventi utilizzati negli esempi è puramente casuale e ha il solo scopo di illustrare l'uso del prodotto Microsoft. Nessuna associazione con nessuna società, organizzazione, prodotto, nome di dominio, indirizzo di posta elettronica, logo, persona, luogo o evento è intenzionale o può essere presupposta. Il rispetto di tutte le leggi applicabili in materia di copyright è esclusivamente a carico dell'utente. Fermi restando tutti i diritti coperti da copyright, nessuna parte del presente documento potrà comunque essere riprodotta, archiviata o inserita in un sistema di riproduzione o trasmessa in qualsiasi forma e con qualsiasi mezzo (in formato elettronico, meccanico, fotocopia, tramite registrazione o altro) per qualsiasi scopo, senza il permesso scritto di Microsoft Corporation.

Microsoft può essere titolare di brevetti, domande di brevetto, marchi, copyright o altri diritti di proprietà intellettuale relativi all'oggetto del presente documento. Salvo quanto espressamente previsto in un contratto scritto di licenza Microsoft, la consegna del presente documento non implica la concessione di alcuna licenza su tali brevetti, marchi, copyright o altra proprietà intellettuale.

© 2009 Microsoft Corporation. Tutti i diritti riservati.

Microsoft, Active Directory, ActiveX, JScript, Microsoft Press, MSDN, MS-DOS, Outlook, PivotChart, PivotTable, PowerPoint, SQL Server, Visual Basic, Visual C++, Visual Studio, Win32, Windows e Windows NT sono marchi di Microsoft Corporation.

Altri nomi di prodotti e società citati nel presente documento possono essere marchi dei rispettivi proprietari.